## org.gnu.gdk
Class PixbufFormat

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gdk.PixbufFormat

public class PixbufFormat
extends MemStruct

Contains information about an image format of a Pixbuf.

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String[]` `getExtensions()`
`java.lang.String` `getLicense()`
`java.lang.String[]` `getMimeTypes()`
`java.lang.String` `getName()`
`boolean` `isDisabled()`
`boolean` `isScalable()`
`boolean` `isWritable()`
`void` `setDisabled(boolean disabled)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getMimeTypes

    public java.lang.String[] getMimeTypes()

### getExtensions

    public java.lang.String[] getExtensions()

### isWritable

    public boolean isWritable()

### isScalable

    public boolean isScalable()

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### getLicense

    public java.lang.String getLicense()